Advisory Details

April 3rd, 2014

Splunk runshellscript echo.sh Remote Code Execution Vulnerability

ZDI-14-053
ZDI-CAN-1895

CVE ID CVE-2013-6771
CVSS SCORE 9, (AV:N/AC:L/Au:S/C:C/I:C/A:C)
AFFECTED VENDORS Splunk
AFFECTED PRODUCTS Splunk Enterprise
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Splunk. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the advanced search functionality. Using a multi-staged attack, it is possible to execute arbitrary commands on the underlying operating system by sending a malformed string to the "runshellscript echo.sh" script. This vulnerability allows an attacker to execute code under the context of the process.

VENDOR RESPONSE Splunk has issued an update to correct this vulnerability. More details can be found at:
http://www.splunk.com/view/SP-CAAAH76
DISCLOSURE TIMELINE
  • 2013-08-09 - Vulnerability reported to vendor
  • 2014-04-03 - Coordinated public release of advisory
CREDIT CyberCrown Ltd.
BACK TO ADVISORIES